org.apache.cayenne.access.types

## Class LongType

- java.lang.Object
- - org.apache.cayenne.access.types.LongType

- All Implemented Interfaces:
    ExtendedType<Long>

      public class LongType
      extends Object
      implements ExtendedType<Long>

  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cayenne.access.types.ExtendedType

      `TRIM_VALUES_THRESHOLD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClassName()` Returns a full name of Java class that this ExtendedType supports.
    `Long` | `materializeObject(CallableStatement rs, int index, int type)` Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
    `Long` | `materializeObject(ResultSet rs, int index, int type)` Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
    `void` | `setJdbcObject(PreparedStatement statement, Long value, int pos, int type, int scale)` Initializes a single parameter of a PreparedStatement with object value.
    `String` | `toString(Long value)` Converts value of the supported type to a human-readable String representation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongType

          public LongType()

  - ### Method Detail

    - #### getClassName

          public String getClassName()

      Description copied from interface: `ExtendedType`
      Returns a full name of Java class that this ExtendedType supports.
      Specified by:
        `getClassName` in interface `ExtendedType<Long>`

    - #### materializeObject

          public Long materializeObject(ResultSet rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from JDBC ResultSet column, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Long>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### materializeObject

          public Long materializeObject(CallableStatement rs,
                                        int index,
                                        int type)
                                 throws Exception

      Description copied from interface: `ExtendedType`
      Reads an object from a stored procedure OUT parameter, converting it to class returned by 'getClassName' method.
      Specified by:
        `materializeObject` in interface `ExtendedType<Long>`
      Throws:
        `Exception` - if read error occurred, or an object can't be converted to a target Java class.

    - #### setJdbcObject

          public void setJdbcObject(PreparedStatement statement,
                                    Long value,
                                    int pos,
                                    int type,
                                    int scale)
                             throws Exception

      Description copied from interface: `ExtendedType`
      Initializes a single parameter of a PreparedStatement with object value.
      Specified by:
        `setJdbcObject` in interface `ExtendedType<Long>`
      Throws:
        `Exception`

    - #### toString

          public String toString(Long value)

      Description copied from interface: `ExtendedType`
      Converts value of the supported type to a human-readable String representation.
      Specified by:
        `toString` in interface `ExtendedType<Long>`
      Parameters:
        `value` - a value to convert to String.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.